DocumentRendering

Retrieves a Document Rendering resource.

Returns a Document Rendering resource.

GET/api/document-renderings/{id}

Authorizations

X-AUTH-TOKEN
stringheaderrequired

Value for the X-AUTH-TOKEN header parameter.

Query Parameters

flags[]
string[]

Flags to fetch additional data

Path Parameters

id
stringrequired

DocumentRendering identifier

Response

200application/json

DocumentRendering resource

id
integer

Document Rendering ID generated by Output.Rocks.

Example: 123

format
enum<string>

Target file format

Available options: pdfdocdocxodtrtfhtmltxt

Example: "pdf"

description
string

Target file format

Example: "This is a generated file description."

fileName
string

Target file name

Example: "2024_01_01_invoice.pdf"

billablePages
integer

Amount of billable pages in generated document

Example: 2

externalId
string

Optional external ID provided by origin application while requesting rendering

Example: "ext-123"

customId
string

Value, extracted from received data by expression, configured on template

Example: "INV789"

template
object

Template URI

Example: "/api/templates/123"

renderData
object

Render Data URI

Example: "/api/render-datas/123"

renderingRequest
object

Rendering Request URI

Example: "/api/rendering-request/123"

createdAt
string<date-time>

UTC date time of entry creation

Example: "2024-08-23T00:00:00+00:00"

updatedAt
string<date-time>

UTC date time of last entry update

Example: "2024-08-23T00:00:00+00:00"

state
string

Workflow state

Example: "done"

blocked
boolean

Available options: truefalse